//CFTTFile_Android - [2020-04-13 11:57:46]
#ifndef _CFTTFILE_ANDROID_H_
#define _CFTTFILE_ANDROID_H_

#include <android/asset_manager.h>
#include "CFTTFileSystem_Android.h"

/*
0026C244 CFTTFile_Android::CFTTFile_Android(CFTTFileSystem_Android * pFileSystem,
                                            AAsset* pAsset ,
                                            uint dMod,
                                            EFTTMemHeapID eHeapID,
                                            char const* pName)

0026C288 CFTTFile_Android::~CFTTFile_Android()
0026C2A4 CFTTFile_Android::~CFTTFile_Android()
0026C2B2 CFTTFile_Android::Read(void *,long long)
0026C2EC CFTTFile_Android::Write(void const*,long long)
0026C2F6 CFTTFile_Android::GetPos()
0026C306 CFTTFile_Android::Seek(long long,int)
0026C330 CFTTFile_Android::GetAttributes()
0026C334 CFTTFile_Android::Close()
0026C34A CFTTFile_Android::IsOpen()
0026C350 CFTTFile_Android::GetAsyncHandler()
0026C360 CFTTFile_Android::GetModeFlags()

vptr_CFTTFile_Android_329A5C:
  CFTTFile_Android::~CFTTFile_Android()
  CFTTFile_Android::~CFTTFile_Android()
  CFTTFile_Android::Read(void *,long long)
  CFTTFile_Android::Write(void const*,long long)
  CFTTFile_Android::GetPos()
  CFTTFile_Android::Seek(long long,int)
  CFTTFile_Android::GetAttributes()
  CFTTFile_Android::Close()
  CFTTFile_Android::IsOpen()
  CFTTFile::ReadAsync(void *,long long,long long,void *,CFTTAsyncEvent<TFTTFileAsyncEventData> *)
  CFTTFile::WriteAsync(void const*,long long,long long,void *,CFTTAsyncEvent<TFTTFileAsyncEventData> *)
  CFTTFile_Android::GetAsyncHandler()
  CFTTFile_Android::GetModeFlags()
  CFTTFile::GetMemoryMappedPos()
  CFTTFile::UseBufferedAccess()
  CFTTFile::RequestFlushWrites()

CFTTFile_Android 0x30
*/

class CFTTFile_Android : public CFTTFile {
public:
  CFTTFile_Android(CFTTFileSystem_Android *pFileSystem,
                   AAsset *a3,
                   uint dMod,
                   EFTTMemHeapID eHeapId = EFTTMemHeapID_0,
                   char const *pBuf = nullptr);  //0026C244
  virtual ~CFTTFile_Android();         //0026C288 0026C2A4

  virtual int64 Read(void *buf, int64 buflen);         //0026C2B2
  virtual int64 Write(void const *buf, int64 buflen);  //0026C2EC
  virtual int64 GetPos();                              //0026C2F6
  virtual int64 Seek(int64 dpos, int whence);          //0026C306
  virtual TFTTFileAttributes *GetAttributes();         //0026C330
  virtual bool Close();                                //0026C334
  virtual bool IsOpen();                               //0026C34A
  virtual CFTTFile_AsyncHandler *GetAsyncHandler();    //0026C350
  virtual int GetModeFlags();                          //0026C360

  bool bOpen_8;
  uint mod_C;
  CFTTFileSystem_Android *pFileSystem_Android_10;
  int field_14;
  TFTTFileAttributes attributes_18;
  AAsset *pAAsset_28;
  int field_2C;
};

#endif  //_CFTTFILE_ANDROID_H_